summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/rpush31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/tests/rpush b/tests/tests/rpush
new file mode 100755
index 0000000..c627788
--- /dev/null
+++ b/tests/tests/rpush
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive pari-extra 3-1
+t-git pari-extra 3-1
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+v=3-2~dummy1
+t-apply-diff 3-1 $v
+debcommit -a
+
+t-refs-same-start
+t-ref-head
+
+t-dgit --dpkg-buildpackage:-d build
+
+mkdir $tmp/empty
+cd $tmp/empty
+#t-dgit --ssh=$troot/ssh rpush somehost:$troot/$p
+#echo $?
+t-dgit --ssh=$troot/ssh rpush somehost:$tmp/$p
+
+cd $tmp/$p
+t-pushed-good dgit/sid
+
+echo ok.